Subject: ImageMagick 7.0.10-27 crashes when handling jp2
From: Ulf-Dietrich Braumann <[email-masked]>
To: [email-masked]
Date: Wed, 14 Sep 2022 16:31:28 +0200
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

Hi,

I have noticed that my ImageMagick (installed via the Net Release Setup 
Program version 2.919 from an official download site) reproducibly 
crashes when generating or converting or displaying or comparing or 
identifying any JPEG-2000 files:

$magick input.png output_magick.jp2
Abort (core dumped)

I instead have used OpenJPEG 2.1.1 (own build):

$opj_compress -i input.png -o output_openjpeg.jp2

That cannot be displayed:

$display output_openjpeg.jp2
Abort (core dumped)

It also cannot be compared:

$compare -metric ssim output_openjpeg.jp2 input.png null:
Abort (core dumped)

$convert output_openjpeg.jp2 output.png
Abort (core dumped)

$identify output_openjpeg.jp2
Abort (core dumped)

However, I am sure that the file output_openjpeg.jp2 is a valid JPEG-2000 
file, as e.g. XnView has no problem to display it.

Here the version information:

$magick -version
Version: ImageMagick 7.0.10-27 Q16 x86_64 2021-02-07 
https://imagemagick.org
Copyright: © 1999-2020 ImageMagick Studio LLC
License: https://imagemagick.org/script/license.php
Features: Cipher DPC HDRI OpenMP(4.5)
Delegates (built-in): bzlib cairo djvu fftw fontconfig fpx freetype gslib gvc jbig jng jp2 jpeg lcms lqr lzma pangocairo png ps raqm raw rsvg tiff webp x xml zlib

Can anybody check if ImageMagick behaves similarly odd handling 
JPEG-2000 on other Cygwin installations? I did a cygcheck and could not 
find errors, in particular none concerning ImageMagick.

Please note that ImageMagick has identic problems using a JPEG-2000 test 
file generated using jasper 2.0.14 (official Cygwin setup):

$jasper < input.ppm --output-format jp2 > output_jasper.jp2

$identify output_jasper.jp2
Abort (core dumped)

And so on ...

Thanks a lot - UD

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple